New Search

Excel Linked List Corruption Vulnerability

oval:org.mitre.oval:def:12595

Microsoft Excel 2002 SP3 2003 SP3 2007 SP2 and 2010; Office 2004 2008 and 2011 for Mac; Open XML File Format Converter for Mac; and Excel Viewer SP2 do not properly handle errors during the parsing of Office Art records in Excel spreadsheets which allows remote attackers to execute arbitrary code via a malformed object record related to a "stray reference" aka "Excel Linked List Corruption Vulnerability."

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows Server 2008
  • Microsoft Windows XP
  • Microsoft Windows 7
  • Microsoft Windows 2000
  • Microsoft Windows Server 2003
  • Microsoft Windows Vista
Class:
vulnerability
Reference(s):
  • CVE-2011-0979
Product(s):
  • Microsoft Excel 2002
  • Microsoft Excel 2003
  • Microsoft Excel 2010
  • Microsoft Office Excel Viewer